####### kdevelop will overwrite this part!!! (begin)##########
bin_PROGRAMS = kfocus
kfocus_SOURCES = kfvdate.cpp kfxenddate.cpp kfmenddate.cpp kfmprojectlist.cpp kfvprojectlist.cpp kfvlog.cpp kfvproject.cpp kfocuslogbook.cpp kfmproject.cpp kfocusdialogcompletetask.cpp kdatedialog.cpp kfocuslogentriesview.cpp kfocuslogentry.cpp kfocustasklist.cpp kfocustasksview.cpp kfocustaskpropsview.cpp kfocustask.cpp kfocusview.cpp kfocusdoc.cpp kfocus.cpp main.cpp 
kfocus_LDADD   =  -lkfile -lkdeui -lkdecore $(LIB_QT) $(LIBSOCKET)


EXTRA_DIST = main.cpp kfocus.cpp kfocus.h kfocusdoc.cpp kfocusdoc.h kfocusview.cpp kfocusview.h kfocus.desktop lo32-app-kfocus.png lo16-app-kfocus.png kfocustask.cpp kfocustask.h kfocustaskpropsview.cpp kfocustaskpropsview.h kfocustasksview.cpp kfocustasksview.h kfocustasklist.cpp kfocustasklist.h kfocuslogentry.cpp kfocuslogentry.h kfocuslogentriesview.cpp kfocuslogentriesview.h kdatedialog.cpp kdatedialog.h kfocusdialogcompletetask.cpp kfocusdialogcompletetask.h kfmproject.cpp kfmproject.h kfocuslogbook.cpp kfocuslogbook.h kfvproject.h kfvproject.cpp kfvlog.cpp kfvlog.h kfvprojectlist.cpp kfvprojectlist.h kfmprojectlist.cpp kfmprojectlist.h kfocusui.rc kfmenddate.cpp kfmenddate.h kfxenddate.cpp kfxenddate.h kfvdate.cpp kfvdate.h 

install-data-local:
	$(mkinstalldirs) $(kde_appsdir)/Applications/
	$(INSTALL_DATA) $(srcdir)/kfocus.desktop $(kde_appsdir)/Applications/kfocus.desktop
	$(mkinstalldirs) $(kde_icondir)/locolor/32x32/apps/
	$(INSTALL_DATA) $(srcdir)/lo32-app-kfocus.png $(kde_icondir)/locolor/32x32/apps/kfocus.png
	$(mkinstalldirs) $(kde_icondir)/locolor/16x16/apps/
	$(INSTALL_DATA) $(srcdir)/lo16-app-kfocus.png $(kde_icondir)/locolor/16x16/apps/kfocus.png

uninstall-local:
	-rm -f $(kde_appsdir)/Applications/kfocus.desktop
	-rm -f $(kde_icondir)/locolor/32x32/apps/kfocus.png
	-rm -f $(kde_icondir)/locolor/16x16/apps/kfocus.png

####### kdevelop will overwrite this part!!! (end)############
# this 10 paths are KDE specific. Use them:
# kde_htmldir       Where your docs should go to. (contains lang subdirs)
# kde_appsdir       Where your application file (.kdelnk) should go to. 
# kde_icondir       Where your icon should go to.
# kde_minidir       Where your mini icon should go to.
# kde_datadir       Where you install application data. (Use a subdir)
# kde_locale        Where translation files should go to.(contains lang subdirs)
# kde_cgidir        Where cgi-bin executables should go to.
# kde_confdir       Where config files should go to.
# kde_mimedir       Where mimetypes should go to.
# kde_toolbardir    Where general toolbar icons should go to.
# kde_wallpaperdir  Where general wallpapers should go to.

# set the include path for X, qt and KDE
INCLUDES= $(all_includes)

METASOURCES = AUTO

# the library search path. 
kfocus_LDFLAGS = $(all_libraries) $(KDE_RPATH)

rcdir = $(kde_datadir)/kfocus
rc_DATA = kfocusui.rc

messages: rc.cpp
	LIST=`find . -name \*.h -o -name \*.hh -o -name \*.H -o -name \*.hxx -o -name \*.hpp -o -name \*.cpp -o -name \*.cc -o -name \*.cxx -o -name \*.ecpp -o -name \*.C`; \
	if test -n "$$LIST"; then \
	 $(XGETTEXT) $$LIST -o $(podir)/kfocus.pot; \
	fi

